콘텐츠로 건너뛰기

Meshy V7 Text to 3D

통합

모델 id meshy/v7/text-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v7/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

예시와 같은 파일: $1.20 1,200 API 크레딧 실행 전에 파일을 측정합니다 이 페이지에서 실행

API 키 받기
Meshy 텍스트를 3D로 #stylized#transform

preview 또는 full 모드, 2k 기하, PBR, 리깅 및 애니메이션 옵션을 제공하는 Meshy 7 텍스트-3D

Meshy · 3D

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 88 / 600

3D 모델로 표현할 객체의 설명이며 600자로 제한됩니다.

mode 기본값 full

생성 모드입니다. 'preview'는 텍스처 없이 형상을 출력하고, 'full'은 preview와 refine을 결합해 텍스처가 있는 모델을 출력합니다.

geometry_resolution

메시 형상 해상도입니다. 지원되는 Meshy-7 옵션은 standard와 2k입니다.

고급 texture_prompt · texture_image_url · model_type · topology · symmetry_mode · pose_mode · target_polycount · rigging_height_meters · animation_action_id · seed · should_remesh · enable_pbr · is_a_t_pose · enable_prompt_expansion · enable_safety_checker · ultra_mode
0 / 600

'full' 모드에서 추가 텍스트 프롬프트로 텍스처링을 안내합니다. 다른 모드에서는 사용되지 않습니다.

파일을 끌어다 놓거나

'full' 모드에서만 적용되는 텍스처 생성용 2D 참조 이미지입니다.

model_type 기본값 standard

3D 메시 모드입니다. 더 깔끔한 폴리곤에 최적화된 low-poly 결과에는 'lowpoly'를 선택합니다. 이 모드에서 Meshy는 topology, target_polycount, should_remesh를 무시합니다. 일반적인 고해상도 결과에는 'standard'를, geometry (preview) 단계에서 Meshy-T2를 사용해 처음부터 별도로 생성된 깔끔한 부품을 얻으려면 'smart-topology'를 선택합니다.

topology 기본값 triangle

기하학적 디테일을 위한 Triangle과 표면의 매끄러움을 위한 Quad 중에서 선택하는 모델 토폴로지입니다.

symmetry_mode 기본값 auto

모델 생성 중 적용되는 대칭 설정입니다.

pose_mode 기본값

생성된 모델의 포즈를 지정하지 않으려면 문자열을 비워 둡니다. 'a-pose'로 A-pose를, 't-pose'로 T-pose를 요청할 수 있습니다.

기본값 30000

폴리곤 수 목표입니다. model_type이 'smart-topology'이면 15,000으로 제한됩니다. 해당 모드에서 생략하면 Meshy의 더 낮은 기본값 4,000이 선택됩니다.

기본값 1.7

enable_rigging이 true일 때 미터 단위의 예상 캐릭터 높이를 제공합니다. 그렇지 않으면 이 값은 적용되지 않습니다.

기본값 92

Meshy 라이브러리 애니메이션 프리셋 ID입니다. 사용 가능한 작업은 https://docs.meshy.ai/en/api/animation-library에 나열되어 있습니다. 검증 및 사용은 enable_animation이 true일 때만 적용됩니다. [0, 696] 범위를 벗어난 값은 422로 거부되며, "Idle"은 `0`에 해당합니다.

변경되지 않은 프롬프트와 함께 이 시드를 재사용하면 일반적으로 이전 결과를 재현할 수 있습니다.

POST /run/meshy/v7/text-to-3d?wait=20 견적 → $1.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v7/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Meshy V7 Text to 3D 정보

최대 600자의 `prompt`에서 3D 모델을 생성하며 선택적으로 `enable_prompt_expansion`을 사용할 수 있습니다. `mode`는 텍스처 없는 기하 또는 텍스처 모델을 반환합니다. `model_type`으로 standard, lowpoly 또는 smart-topology를 선택하고, `target_polycount`를 100~300000으로 설정하며, standard 또는 2k `geometry_resolution`을 선택할 수 있습니다. 휴머노이드 캐릭터에 리깅 및 애니메이션 프리셋을 추가할 수 있습니다.

매개변수

이름유형 기본값허용됨 설명
prompt필수
유형string
≤ 600자
3D 모델로 표현할 객체의 설명이며 600자로 제한됩니다.
mode선택 사항
유형enum
기본값full
previewfull
생성 모드입니다. 'preview'는 텍스처 없이 형상을 출력하고, 'full'은 preview와 refine을 결합해 텍스처가 있는 모델을 출력합니다.
seed선택 사항
유형integer | null
변경되지 않은 프롬프트와 함께 이 시드를 재사용하면 일반적으로 이전 결과를 재현할 수 있습니다.
model_type선택 사항
유형enum
기본값standard
standardlowpolysmart-topology
3D 메시 모드입니다. 더 깔끔한 폴리곤에 최적화된 low-poly 결과에는 'lowpoly'를 선택합니다. 이 모드에서 Meshy는 topology, target_polycount, should_remesh를 무시합니다. 일반적인 고해상도 결과에는 'standard'를, geometry (preview) 단계에서 Meshy-T2를 사용해 처음부터 별도로 생성된 깔끔한 부품을 얻으려면 'smart-topology'를 선택합니다.
topology선택 사항
유형enum
기본값triangle
quadtriangle
기하학적 디테일을 위한 Triangle과 표면의 매끄러움을 위한 Quad 중에서 선택하는 모델 토폴로지입니다.
target_polycount선택 사항
유형integer
기본값30000
100 – 300,000
폴리곤 수 목표입니다. model_type이 'smart-topology'이면 15,000으로 제한됩니다. 해당 모드에서 생략하면 Meshy의 더 낮은 기본값 4,000이 선택됩니다.
should_remesh선택 사항
유형boolean
기본값true
false로 설정하면 리메싱을 건너뛰고 원시 삼각형 메시를 받습니다. 그렇지 않으면 리메시 단계를 활성화합니다.
symmetry_mode선택 사항
유형enum
기본값auto
offautoon
모델 생성 중 적용되는 대칭 설정입니다.
enable_pbr선택 사항
유형boolean
기본값false
기본 색상과 함께 metallic, roughness, normal PBR 맵을 생성할지 제어합니다.
is_a_t_pose선택 사항
유형boolean
기본값false
true로 활성화하는 T-pose 생성 스위치입니다. pose_mode 사용이 권장됩니다.
pose_mode선택 사항
유형enum
기본값
a-poset-pose
생성된 모델의 포즈를 지정하지 않으려면 문자열을 비워 둡니다. 'a-pose'로 A-pose를, 't-pose'로 T-pose를 요청할 수 있습니다.
enable_prompt_expansion선택 사항
유형boolean
기본값false
대규모 언어 모델이 세부 정보를 추가하여 프롬프트를 보강하도록 허용합니다. 이 확장을 활성화해도 프롬프트의 의미는 바뀌지 않습니다.
texture_prompt선택 사항
유형string | null
≤ 600자
'full' 모드에서 추가 텍스트 프롬프트로 텍스처링을 안내합니다. 다른 모드에서는 사용되지 않습니다.
texture_image_url선택 사항
유형url · image
'full' 모드에서만 적용되는 텍스처 생성용 2D 참조 이미지입니다.
enable_rigging선택 사항
유형boolean
기본값false
자동 인간형 리깅입니다. 팔다리가 명확히 구분되는 인간형 모델에 가장 효과적입니다. 활성화하면 생성된 모델을 리깅하고 기본 걷기 및 달리기 애니메이션을 제공합니다.
rigging_height_meters선택 사항
유형number
기본값1.7
> 0
enable_rigging이 true일 때 미터 단위의 예상 캐릭터 높이를 제공합니다. 그렇지 않으면 이 값은 적용되지 않습니다.
enable_animation선택 사항
유형boolean
기본값false
리깅된 모델에 프리셋 애니메이션을 적용할지 여부입니다. enable_rigging이 true여야 합니다.
animation_action_id선택 사항
유형integer
기본값92
Meshy 라이브러리 애니메이션 프리셋 ID입니다. 사용 가능한 작업은 https://docs.meshy.ai/en/api/animation-library에 나열되어 있습니다. 검증 및 사용은 enable_animation이 true일 때만 적용됩니다. [0, 696] 범위를 벗어난 값은 422로 거부되며, "Idle"은 `0`에 해당합니다.
enable_safety_checker선택 사항
유형boolean
기본값true
전처리 안전 검사 스위치입니다. true이면 처리를 위한 사전 조건으로 입력 안전 검사를 수행합니다.
geometry_resolution선택 사항
유형enum
standard2k
메시 형상 해상도입니다. 지원되는 Meshy-7 옵션은 standard와 2k입니다.
ultra_mode선택 사항
유형boolean
기본값false
geometry_resolution으로 대체된 더 이상 사용되지 않는 옵션입니다. 둘 다 제공하면 geometry_resolution이 우선하므로 geometry_resolution='2k'를 사용하세요.
필수

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "meshy/v7/text-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1200,
    "usd": "1.20",
    "charged": 1200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "animation_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "animation_fbx": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "obj": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "usdz": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "blend": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "stl": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "texture_urls": [
      {
        "base_color": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "metallic": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "normal": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "roughness": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        }
      }
    ],
    "seed": 42,
    "prompt": "A rustic, antique wooden treasure chest with a curved, domed lid, constructed from weathered, dark brown planks exhibiting prominent wood grain and subtle distress. It's heavily reinforced with broad, dark grey, oxidized metal bands secured by numerous circular rivets. Ornate, dark iron decorative elements featuring swirling foliate patterns and dragon motifs adorn the corners and lid. A prominent, circular, intricately carved metal lock plate with a central keyhole dominates the front, flanked by two large, dark metallic pull rings.",
    "actual_prompt": "string",
    "rigged_character_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "rigged_character_fbx": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "basic_animations": {
      "walking_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "walking_fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "walking_armature_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_armature_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "rig_task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
animation_glb
object {url, content_type, file_name, file_size} | null3D 모델이 GLB로 포함된 애니메이션 결과입니다. enable_animation이 true가 아니면 응답에서 생략됩니다.
animation_fbx
object {url, content_type, file_name, file_size} | null3D 모델이 FBX로 포함된 애니메이션 결과입니다. enable_animation이 true가 아니면 응답에서 생략됩니다.
model_glb
object {url, content_type, file_name, file_size}생성된 3D 객체가 포함된 GLB 파일입니다.
thumbnail
object {url, content_type, file_name, file_size} | null생성된 모델의 미리보기를 보여주는 썸네일입니다.
model_urls
object {glb, fbx, obj, usdz, blend, stl}다양한 형식의 3D 모델 링크입니다.
texture_urls
array of object {base_color, metallic, normal, roughness}객체 배열로 표현된 텍스처 파일입니다.
seed
integer | null생성 중 사용하는 시드 값입니다.
prompt
string생성에 제공된 텍스트 프롬프트입니다.
actual_prompt
string | null프롬프트 확장이 활성화되었을 때 생성에 실제로 적용된 프롬프트 텍스트입니다.
rigged_character_glb
object {url, content_type, file_name, file_size} | nullGLB 캐릭터 파일로 제공되는 리깅 결과입니다. enable_rigging이 true가 아니면 응답에 포함되지 않습니다.
rigged_character_fbx
object {url, content_type, file_name, file_size} | nullFBX 캐릭터 파일로 제공되는 리깅 결과입니다. enable_rigging이 true가 아니면 응답에 포함되지 않습니다.
basic_animations
object {walking_glb, walking_fbx, walking_armature_glb, running_glb, running_fbx, running_armature_glb} | null기본 걷기 및 달리기 애니메이션입니다. enable_rigging이 true일 때만 포함됩니다.
rig_task_id
string | null리깅 작업 식별자입니다. enable_rigging이 true일 때만 포함됩니다.

더 많은 모델: 텍스트를 3D로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/meshy/v7/text-to-3d.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt